Apache Tomcat 7.0.42

## org.apache.catalina.core
Class ApplicationTaglibDescriptor

    java.lang.Object
      org.apache.catalina.core.ApplicationTaglibDescriptor

All Implemented Interfaces:
  TaglibDescriptor

    public class ApplicationTaglibDescriptor

extends Object
implements TaglibDescriptor

Constructor Summary
`ApplicationTaglibDescriptor(String location, String uri)`

Method Summary
`boolean` `equals(Object obj)`
`String` `getTaglibLocation()`
`String` `getTaglibURI()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationTaglibDescriptor

    public ApplicationTaglibDescriptor(String location,
                                       String uri)

Method Detail

### getTaglibLocation

    public String getTaglibLocation()

  Specified by:
    `getTaglibLocation` in interface `TaglibDescriptor`

### getTaglibURI

    public String getTaglibURI()

  Specified by:
    `getTaglibURI` in interface `TaglibDescriptor`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.